
\usemodule[filter]

\traceexternalfilters

\defineexternalfilter
   [ASY]
   [
     filter={asy -tex "context" -outformat pdf
             -outname \externalfilteroutputfile},
     output=\externalfilterbasefile.pdf,
     cache=yes,
     readcommand=\ReadImage,
   ]

\define[1]\ReadImage{\externalfigure[#1]}

\starttext

Testing if we can include an asymptote image
\startplacefigure[location={here}, title={An Asymptote figure}]
\startASY
    
import math;
size(7.5cm,0,IgnoreAspect);

void tablepythagore(int m=9, int n=9){
    int[][] y=new int[m+1][n+1];
    for (int i=1; i<=m; ++i)
    {
        for (int j=1; j<=n; ++j)
        {
          y[i][j]=i*j; 
          label(scale(.8)*format("%i",y[i][j]),(j,-i));
          if(i==1) label(format("%i",j),(j,0),blue);
        }
        label(format("%i",i),(0,-i),red);
    }
    add(shift(-.5,-.5-m)*grid(n+1,m+1,blue));
    label(scale(1.1)*"$\times$",(0,0));
}

tablepythagore();

shipout(bbox(.25cm,Fill(white)));
\stopASY
\stopplacefigure

\stoptext

